'\" te	(causes both "tbl" and "eqn" to be invoked)
'\"	man_tem -- template for VMB software manual entry
.tr ~
.TH HPQUE 1V REB
'\"	last edit:	%E%	J. W. Kinch
'\"	SCCS ID:	%W%
.SH NAME
hpque \-queues output through MDQS for the HP LaserJet Printer.
.SH SYNOPSIS
.B hpque
[
.B \-q
] arg..
[
.B \-f
] arg..
[
.B \-o
] arg..
[
.B \-p
] arg..
[
.B \-m
]
[
.B \-M
]
[
.B \-s
]
[
.B \-c
]
[
.B \-x
] arg..
file ...
.SH DESCRIPTION
.I hpque\^
is a shell script that processes each 
.I file\^
in sequence, replaces all tabs with the appropriate number of blanks and
pipes the output to
.I qpr.
.P
If no input file is given,
.I hpque
reads from the standard input file.
.SS Options
.P
Options and their meanings are:
.PP
.PD 0
.TP 11
.B \-q arg
argument is taken as the name of the MDQS queue to be
used on the qpr request.  If this option is not given, the queue name is
taken from the environment variable $HPQUE.  If neither is available, an
error is issued.
.TP
.B \-f c10
selects the Courier 10-pitch font. (Default)
.TP
.B \-f e12
selects the Prestige Elite 12-pitch font.
.TP
.B \-f lpr16
selects the Line Printer Compressed 16.66-pitch font.
.TP
.B \-o por
selects portrait orientation (Default).
.TP
.B \-o land
selects landscape orientation.
.TP
.B \-pg11
selects an 11-inch page (Default).
.TP
.B \-pg14
selects a 14-inch page.
.TP
.B \-m
selects a left margin of approximately 3/4 inch.  If this option is
omitted, the printer default left margin of approximately 1/4 inch will
be used.
.TP
.B \-M
places the printer in 
.I "Manual Feed"
mode.  This is to allow the feeding of non-standard paper, envelopes etc.
.TP
.B \-c#
instructs the printer to print # copies of the file.
.TP
.B \-s
places the printer in a mode suitable for printing spread sheets.  The
compressed line printer font in landscape orientation and a 3/4-inch
left margin will be selected.
.TP
.B \-x arg
this option will be passed directly to the MDQS server.  If any
.B \-x
options are used, all other options are ignored and it is the user's
responsibility to select all necessary options.
.PD
.SH EXAMPLE(S)
To queue output for the queue name in $HPQUE in
portrait mode with the Courier 10-pitch font and the printer default
left margin:
.RS
$ \fIhpque [ filename ]\fR
.RE
.P
To queue output for the queue name
.I rebhp1
using the Courier 10-pitch font and a 3/4-inch left margin:
.RS
$ \fIhpque \-q rebhp1 -o land -m -f lpr16 [ filename ]\fR
.RE
.P
To queue some mail to the $HPQUE queue in landscape mode with the Line
Printer Compressed font and a 3/4-inch left margin, the special spread
sheet option
(
.B \-s
) could be used as follows:
.RS
list: [message numbers]
.br
to file/pipe: 
\&|\fIhpque \-s
.RE
.SH "SEE ALSO"
qpr(1), expand(1)
'\" All VMB documents have a "V" following the section number.
.SH DIAGNOSTICS
If the environment variable $HPQUE is not set and the
.I \-q
option is omitted, a diagnostic is 
printed on the standard error output
and the script exits.
.SH AUTHOR(S)
J. W. Kinch, BRL/VLD-REB
