#include <stdio.h>
#include "queue.h"

extern char *Tmpqdir;

/*
 *		M K C O N T R O L ( )
 *  The function creats the control file in the qtmp directory.
 *  A valid file pointer is returned.  Failure will cause an abort.
 *  The only argument is a pointer to sufficent space to hold the
 *  unanchored filename.
 */
FILE *
mkcontrol (template, name)
char *template;
char *name;
{
	char	longname[PATHSIZ];
	FILE	*f;
	int	fd;
	char	*mktemp(), *strcpy();
	
	sprintf (longname, "%s/%s", Tmpqdir, template);
	if (mktemp (longname) == NULL)
		bomb ("Can't make tmp file name from %s\n", longname);
	strcpy (name, &longname[strlen(Tmpqdir)+1]);
	unlink (longname);
	if ((fd = creat (longname, 0600)) < 0)
		bomb ("Can't create tmp file %s (%s)\n", longname,
			sys_errlist[errno]);
	if ((f = fdopen (fd, "w")) == NULL)
		bomb ("fdopen() failed on controlfile (%s)\n", longname);
	return (f);
}
